﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RestoreSelectedFiles.aspx.cs"
    Inherits="RestoreSelectedFiles" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server" />
        <telerik:RadFileExplorer ID="RadFileExplorer1" runat="server">
            <Configuration ViewPaths="~/ROOT" />
        </telerik:RadFileExplorer>
        <asp:Button ID="Button1" Text="Store Selected Items" runat="server" OnClientClick="StoreSelectedItems(); return false;" />
        <asp:Button ID="Button2" Text="Restore Selected Items" runat="server" OnClientClick="RestoreSelectedItems(); return false;" />
        <asp:Button ID="Button3" Text="Clear Stored Selection" runat="server" OnClientClick="ClearStoredSelection(); return false;" />
        <asp:HiddenField ID="selectedItemsStorage" runat="server" />
        <script type="text/javascript">
            var selectedItemsNames = "";

            function StoreSelectedItems()
            {
                var explorer = $find("<%=RadFileExplorer1.ClientID %>");

                var selectedItems = explorer.get_selectedItems();

                for (var i = 0; i < selectedItems.length; i++) 
                {
                    selectedItemsNames += selectedItems[i].get_name() + ";";
                }

                var selectedItemsStorage = $get("<%=selectedItemsStorage.ClientID %>");
                selectedItemsStorage.value = selectedItemsNames;
            }

            function ClearStoredSelection()
            {
                selectedItemsNames = "";
            }

            function RestoreSelectedItems()
            {
                var explorer = $find("<%=RadFileExplorer1.ClientID %>");
                var oGrid = explorer.get_grid();

                oGrid.clearSelectedItems();

                var arrOfFileNames = selectedItemsNames.split(/\;/);

                // Remove the space characters from the start and end of the strings ;
                for (var i = 0; i < arrOfFileNames.length; i++) 
                {
                    arrOfFileNames[i] = arrOfFileNames[i].trim();
                }

                var dataRows = oGrid.MasterTableView.get_dataItems();
                for (var i = 0; i < dataRows.length; i++) 
                {
                    if (dataRows[i].get_dataItem()) 
                    {
                        // Check whether the current file name that is showed in the grid is contained in the 'arrOfFileNames' array;
                        if (Array.contains(arrOfFileNames, dataRows[i].get_dataItem().Name)) 
                        {// yes, the file needs to be selected
                            oGrid.MasterTableView.selectItem(oGrid.MasterTableView.get_dataItems()[i].get_element());
                        }
                    }
                }
            }
        </script>
    </div>
    </form>
</body>
</html>
